<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_introduce_logs', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id')->unsigned()->unique()->comment("用户id");
            $table->integer('introduce_user_id')->unsigned()->comment("介绍人用户id");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_introduce_logs');
    }
};
